.landing {
  height: 100%;
  background-size: cover;
  scroll-snap-align: start;
  background-repeat: no-repeat;
  background-position: center center;
  background-image: url('/assets/images/bg-landing.jpg');
}

@supports (gap: 1px) {
  .landing {
    background-image: url('/assets/images/bg-landing.webp');
  }
}

@media screen and (min-width: 768px) {
  .landing {
    background-image: url('/assets/images/bg-landing-desktop.webp');
  }

  @supports (gap: 1px) {
    .landing {
      background-image: url('/assets/images/bg-landing-desktop.webp');
    }
  }
}

.landing__box {
  left: 0;
  top: 50%;
  width: 100%;
  padding: 0 2rem;
  position: absolute;
  color: var(--color-primary);
  transform: translateY(-50%);
}
@media screen and (min-width: 768px) {
  .landing__box {
    top: 60%;
    left: 15%;
    width: 85%;
  }
}
.landing__title {
  margin: 0;
  font-weight: 500;
  font-size: 4.8rem;
  line-height: 1.35;
  color: var(--color-primary);
  font-family: var(--font-secondary);
}
@media screen and (min-width: 768px) {
  .landing__title {
    width: 90%;
    font-size: 7rem;
  }
}
.landing__actions {
  gap: 2rem;
  width: 100%;
  display: flex;
  margin-top: 2rem;
  align-items: center;
}
.landing__link {
  font-weight: 500;
  font-size: 1.6rem;
  align-items: center;
  display: inline-flex;
  text-decoration: none;
  padding: 1.6rem 2.4rem;
  justify-content: center;
  text-transform: uppercase;
  color: var(--color-primary);
  border: rgba(255, 255, 255, 0.8) 1px solid;
  background-color: rgba(0, 0, 0, 0.3);
}
.landing__link__icon {
  width: 2.5rem;
  height: 2.5rem;
  color: inherit;
  font-weight: 600;
  margin-left: 2.4rem;
}

.landing__buttons {
  right: 2rem;
  bottom: 3rem;
  width: 120px;
  display: flex;
  position: absolute;
  align-items: center;
  justify-content: space-between;
}
.landing__button {
  width: 4.8rem;
  height: 4.8rem;
  border-radius: 50%;
  border: var(--color-primary) 1px solid;
}
.landing__button__icon {
  width: 2.4rem;
  height: 0.8rem;
}
.landing__button--next {
  transform: rotate(180deg);
}
